Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Mandrake Local Security Checks >> MDKSA-2005:173: mozilla-firefox


Vulnerability Assessment Details

MDKSA-2005:173: mozilla-firefox

Vulnerability Assessment Summary
Check for the version of the mozilla-firefox package

Detailed Explanation for this Vulnerability Assessment

The remote host is missing the patch for the advisory MDKSA-2005:173 (mozilla-firefox).



New updates are available for Mozilla Firefox:

A regression in the LE2005 Firefox package caused problems with cursor movement
that has been fixed.

The run-mozilla.sh script, with debugging enabled, would permit local users to
create or overwrite arbitrary files via a symlink attack on temporary files
(CVE-2005-2353).

nsScriptSecurityManager::GetBaseURIScheme didn't handle jar:view-source:...
correctly because the jar: and view-source: cases didn't use recursion as they
were supposed to. This was corrected in Firefox 1.0.4 and only affects the
LE2005 package.

The updated packages have been patched to correct these issues.



Solution : http://wwwnew.mandriva.com/security/advisories?name=MDKSA-2005:173
Network Security Threat Level: High

Networks Security ID:

Vulnerability Assessment Copyright: This script is Copyright (C) 2006 Tenable Network Security

Cables, Connectors

2X CISCO PSA18U-480C 48V 0.38A Power Supply Adapter.34-1977- 03 A0.TESTED.182997
$20.2
2X CISCO PSA18U-480C 48V 0.38A Power Supply Adapter.34-1977- 03 A0.TESTED.182997 pictureCisco 3825 2-Port Gigabit Wired Router (CISCO3825-V3PN/K9)
$179.0
Cisco 3825 2-Port Gigabit Wired Router (CISCO3825-V3PN/K9) pictureCisco PVDM3-256 256-channel high-density voice and video DSP module
$314.99
Cisco PVDM3-256 256-channel high-density voice and video DSP module pictureLinksys Cisco E1500 300 Mbps 4-Port 10/100 Wireless N Router
$9.99
Linksys Cisco E1500 300 Mbps 4-Port 10/100 Wireless N Router picture


Discussions

No Discussions have been posted on this vulnerability.